Get api v1 referrals uuid Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/referrals/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • direction string

      The direction of the referral relative to the current firm. Possible values: sent, received

    • connection object

      The referral connection this referral belongs to

      Hide connection attribute Show connection attribute object
      • uuid string
    • clients array[object]

      The original client accounts being referred

      Hide clients attributes Show clients attributes object
      • uuid string
      • name string
    • cloned_clients array[object]

      The cloned client accounts in the recipient firm

      Hide cloned_clients attributes Show cloned_clients attributes object
      • uuid string
      • name string
    • advice_type string

      The type of advice. Possible values: investments, protection, mortgages, estate_planning, other, pensions and tax

    • duration_months integer

      Duration in months (1, 2, 3, or 6). Null for lifetime.

    • shared_data array[string]

      Data categories being shared. Possible values: basic_details, contact_details, income, expenditure, dependants, investments_and_plans, pensions, liabilities, protection, cash_accounts, goals and notes

    • note string

      Additional notes about the referral

    • sla_deadline string

      SLA deadline for recipient to respond

    • status string

      The status of the referral. Possible values: pending, accepted, rejected and expired

    • rejection_reason string

      Reason for rejection (only present if rejected)

    • sender_firm object

      The firm that sent the referral

      Hide sender_firm attributes Show sender_firm attributes object
      • uuid string
      • name string
    • recipient_firm object

      The firm that received the referral

      Hide recipient_firm attributes Show recipient_firm attributes object
      • uuid string
      • name string
    • sender_account object

      The account that sent the referral

      Hide sender_account attributes Show sender_account attributes object
      • uuid object
        Hide uuid attributes Show uuid attributes object
        • example string
        • description string
        • collection boolean
      • created_at object
        Hide created_at attributes Show created_at attributes object
        • example string
        • description string
        • collection boolean
      • updated_at object
        Hide updated_at attributes Show updated_at attributes object
        • example string
        • description string
        • collection boolean
      • type object
        Hide type attributes Show type attributes object
        • example string
        • description string
        • collection boolean
      • role object
        Hide role attributes Show role attributes object
        • example string
        • description string
        • collection boolean
      • first_name object
        Hide first_name attributes Show first_name attributes object
        • example string
        • description string
        • collection boolean
      • last_name object
        Hide last_name attributes Show last_name attributes object
        • example string
        • description string
        • collection boolean
      • name object
        Hide name attributes Show name attributes object
        • example string
        • description string
        • collection boolean
      • email object
        Hide email attributes Show email attributes object
        • example string
        • description string
        • collection boolean
      • photo_url object
        Hide photo_url attributes Show photo_url attributes object
        • example string
        • description string
        • collection boolean
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • example string
        • description string
        • collection boolean
    • recipient_account object

      The account that received the referral

      Hide recipient_account attributes Show recipient_account attributes object
      • uuid object
        Hide uuid attributes Show uuid attributes object
        • example string
        • description string
        • collection boolean
      • created_at object
        Hide created_at attributes Show created_at attributes object
        • example string
        • description string
        • collection boolean
      • updated_at object
        Hide updated_at attributes Show updated_at attributes object
        • example string
        • description string
        • collection boolean
      • type object
        Hide type attributes Show type attributes object
        • example string
        • description string
        • collection boolean
      • role object
        Hide role attributes Show role attributes object
        • example string
        • description string
        • collection boolean
      • first_name object
        Hide first_name attributes Show first_name attributes object
        • example string
        • description string
        • collection boolean
      • last_name object
        Hide last_name attributes Show last_name attributes object
        • example string
        • description string
        • collection boolean
      • name object
        Hide name attributes Show name attributes object
        • example string
        • description string
        • collection boolean
      • email object
        Hide email attributes Show email attributes object
        • example string
        • description string
        • collection boolean
      • photo_url object
        Hide photo_url attributes Show photo_url attributes object
        • example string
        • description string
        • collection boolean
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • example string
        • description string
        • collection boolean
    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • expires_at string

      The datetime when the referral expires

GET /api/v1/referrals/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/referrals/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "cdcfb02a-bd48-4f0d-9209-d22d00ffb923",
  "direction": "sent",
  "connection": {
    "uuid": "abc-123"
  },
  "clients": [
    {
      "uuid": "client-uuid-1",
      "name": "John Doe"
    }
  ],
  "cloned_clients": [
    {
      "uuid": "cloned-uuid-1",
      "name": "John Doe"
    }
  ],
  "advice_type": "investments",
  "duration_months": 3,
  "shared_data": [
    "basic_details",
    "contact_details"
  ],
  "note": "Client needs help with retirement planning.",
  "sla_deadline": "2026-02-28",
  "status": "pending",
  "rejection_reason": "Unable to take on new clients.",
  "sender_firm": {
    "uuid": "abc-123",
    "name": "Sender Firm Name"
  },
  "recipient_firm": {
    "uuid": "def-456",
    "name": "Recipient Firm Name"
  },
  "sender_account": {
    "uuid": {
      "example": "c5562fb7-31fc-4038-8376-fbb494f786df",
      "description": "The UUID of the resource.",
      "collection": false
    },
    "created_at": {
      "example": "2026-06-11T13:19:55+01:00",
      "description": "The timestamp of when the resource was created.",
      "collection": false
    },
    "updated_at": {
      "example": "2026-06-11T13:19:55+01:00",
      "description": "The timestamp of when the resource was updated.",
      "collection": false
    },
    "type": {
      "example": "client",
      "description": "Account type",
      "collection": false
    },
    "role": {
      "example": "client",
      "description": "Account role",
      "collection": false
    },
    "first_name": {
      "example": "Gareth",
      "description": "First name",
      "collection": false
    },
    "last_name": {
      "example": "Thompson",
      "description": "Last name",
      "collection": false
    },
    "name": {
      "example": "Gareth Thompson",
      "description": "Name",
      "collection": false
    },
    "email": {
      "example": "gareth@codepotato.co.uk",
      "description": "(Deprecated - Please use the primary email of the account instead). The email of the account.",
      "collection": false
    },
    "photo_url": {
      "example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
      "description": "The photo URL of the client",
      "collection": false
    },
    "external_references": {
      "example": "App\\Http\\Resources\\ExternalReferenceResource",
      "description": "The external references that have been added to the client.",
      "collection": true
    }
  },
  "recipient_account": {
    "uuid": {
      "example": "a2d8febd-2ffa-4c56-b601-8c0c370920b1",
      "description": "The UUID of the resource.",
      "collection": false
    },
    "created_at": {
      "example": "2026-06-11T13:19:55+01:00",
      "description": "The timestamp of when the resource was created.",
      "collection": false
    },
    "updated_at": {
      "example": "2026-06-11T13:19:55+01:00",
      "description": "The timestamp of when the resource was updated.",
      "collection": false
    },
    "type": {
      "example": "client",
      "description": "Account type",
      "collection": false
    },
    "role": {
      "example": "client",
      "description": "Account role",
      "collection": false
    },
    "first_name": {
      "example": "Gareth",
      "description": "First name",
      "collection": false
    },
    "last_name": {
      "example": "Thompson",
      "description": "Last name",
      "collection": false
    },
    "name": {
      "example": "Gareth Thompson",
      "description": "Name",
      "collection": false
    },
    "email": {
      "example": "gareth@codepotato.co.uk",
      "description": "(Deprecated - Please use the primary email of the account instead). The email of the account.",
      "collection": false
    },
    "photo_url": {
      "example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
      "description": "The photo URL of the client",
      "collection": false
    },
    "external_references": {
      "example": "App\\Http\\Resources\\ExternalReferenceResource",
      "description": "The external references that have been added to the client.",
      "collection": true
    }
  },
  "created_at": "2026-06-11T13:19:55+01:00",
  "updated_at": "2026-06-11T13:19:55+01:00",
  "expires_at": "2026-09-11T13:19:55+01:00"
}